Karia
ReferencesOpenapiEmployer

Link employer contact

POST
/organisation/{orgId}/workspace/{workspaceId}/employer/{employerId}/contact

Link an existing contact to an employer in the specified organisation and workspace with the supplied relationship type.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
employerId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/employer/string/contact" \  -H "Content-Type: application/json" \  -d '{    "contactId": "string",    "type": "authorised_officer"  }'
{
  "id": 0
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}